Description

Hi,

This ticket follows #3394. The official IGNF register does not specify the use of the gsb natgrid in the proj's description of the RGF93's
systems because the gris was intented to convert from NTF to RGF93.

However this grid is also useful when reprojecting or using OTF's projection of RGF93 layers on a NTF basemap, reducing the diff to cm
instead of ~50m.

History

#1 - 2011-03-02 12:37 PM - jc -

- Status changed from Open to Closed

- Resolution set to invalid

WTF ?

ndgrids are elaborate towgs84 clause. And RGF93 +towgs84 clauses are right 0,0,0, because RGF93 is WGS84 compliant.

While errors could be present on IGNF registry published for many years now, it's quite doubtful.

And also, why change the IGNF registry here, on QGIS and not on Proj.4 project ?

#2 - 2011-03-03 01:45 AM - Jean-Roc Morreale

sorry if it wasn't clear, I'm not saying there is errors in the IGNF as the proj definitions work as attented when working between RGF93 based layers or
when projecting NTF layers to RGF93. However, some users needs to do the reverse job (RGF93 to NTF, not talking WG84) and with the official defs the
natgrid isn't used and so cause a 50m error.

Please have a look to this thread (french), there is a use case and files to test :
http://www.forumsig.org/showpost.php?p=257466&#38;postcount=24

About proj4, a ticket and a patch for the updated and official register have been submitted on trac (#88) 3 months ago but is still pending and its avaibality
will depend on a proj4's release (this the reason behind #3394, pending too). About #3437, as it is an unofficial modification | didn't wanted to push it first
into proj4.

#3 - 2011-03-03 03:37 AM - jc -

This french thread show there is a projection problem, but the solution can't be this patch, else WGS84 data won't mismatch. | talk WGS84 because it's the
http://www.forumsig.org/showpost.php?p=257466&#38;postcount=24

proj4 reference.

I read your file a_lire.txt in your package test_qgis_193.zip and | see only a +wktext addition (also in your forum comment), not any +nadgrids add. Is there a

mistake in your a_lire.txt file ?

#4 - 2011-03-03 07:00 AM - Jean-Roc Morreale

in my test, +wktext was enought to call the use of the grid. If you've a valid solution, it would be welcome.

#5 - 2011-03-03 08:07 AM - jc -

To "call the use of the grid" or to "have good results" ?

If +wktext is enough on your tests, why add here +nadgrids ? Have you got tests with the addition you propose here or only with the +wktext clause addition

alone ?

| just wonder why you test a patch and propose here an other patch apparently not tested. With your tests published on forumsig.org, | agree with a patch

with +wktext alone.

#6 - 2011-03-03 08:47 AM - Jean-Roc Morreale

Bon, en frangais ¢a évitera de continuer plus qu'il n'est nécessaire, n'étant pas dev ou quoi que ce soit j'ai cru bon de préciser la grille appelée par wktext,

le test a été fait avec le fichier SQL joint ici et comme j'obtenais le résultat attendu (a savoir une couche en lambert zone projetée a la volée dans un projet

utilisant une zone ntf et sans décalage de 50m) j'ai ouvert ce ticket. Si tu estimes que cette option n'est pas nécessaire, soit, je te laisse le soin de

reproposer un patch ici ou sur le trac de proj4.

#7 - 2011-03-03 09:01 AM - jc -

L'anglais avait I'avantage que d'autres intervenants simple lecteur pouvait aussi nous suivre, mais perso le frangais ¢a ne me dérange pas, c'est plus

simple :)

Je vais reprendre les tests de mon c6té. Ce n'est peut-étre qu'une maladresse dans la fagon de présenter le patch et qu'effectivement la modif est bonne.

Je n'avais fait que regarder le test publié sur forumSIG. Je regarde de plus prés et donne des nouvelles.

Le probléme est surtout que je trouve la modif a priori plus néfaste que non nécessaire. Je reviens ici dés que j'ai fait mes tests de mon c6té, ily a
surement une modif a faire vu les tests qui ont déja été fait.

Files

ign_grid.sql 4.44 KB 2011-01-24 Jean-Roc Morreale
